package com.ruoyi.system.domain.tdcase;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 涉密案件管理
 * @author 13560
 * @TableName td_case
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdCase  extends BaseEntity {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 案件名称
     */
    private String caseName;

    /**
     * 案件编号
     */
    private String caseAssum;

    /**
     * 案件类别
     */
    private String caseType;

    /**
     * 案件内容
     */
    private String caseContent;

    /**
     * 案件发生时间
     */
    private Date caseTime;

    /**
     * 案件发生地点
     */
    private String caseAddress;

    /**
     * 案件涉密等级
     */
    private String caseGrade;

    /**
     * 案件处理措施
     */
    private String caseMeasure;

    /**
     * 状态
     */
    private String state;

    /**
     * 涉案人员名称
     */
    private String involvedName;

    /**
     * 涉案人员联系方式
     */
    private String involvedTel;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}