package com.ruoyi.system.domain.count;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * packageName com.ruoyi.system.domain.userexam.dto.response
 *
 * @author wangxy
 * @version JDK 8
 * @className ExamCountDTO
 * @date 2024/8/7
 * @description 用户统计
 */
@Data
@ApiModel(value="用户统计", description="用户统计")
public class UserCountDTO implements Serializable {

    @ApiModelProperty(value = "已登记")
    private  Integer ydj;

    @ApiModelProperty(value = "已申报")
    private  Integer ysb;

    @ApiModelProperty(value = "已审核")
    private  Integer ysh;

    @ApiModelProperty(value = "已离职")
    private  Integer ylz;
}
