package com.ruoyi.system.domain.place;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;


import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 涉密场所
 * @author 13560
 * @TableName td_place
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdPlace extends BaseEntity {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 场所名称
     */
    private String placeName;

    /**
     * 场所规范
     */
    private String placeRule;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}